---
updatedAt: 2025-11-11T23:06:25.000Z
agentTools:
  projectIndex: https://developers.shipup.co/llms.txt
---

# Pagination

All index endpoints support pagination thanks to three parameters `limit`, `starting_after` and `ending_before`.

Both `starting_after` and `ending_before` parameters take an ID and return corresponding objects in descending ID order. The `starting_after` parameter returns objects with ID greater than the specified value. The `ending_before` parameter returns objects with ID lower than the specified value.

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Request Parameter
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        **limit**
        integer, optional
      </td>

      <td>
        A limit on the number of objects to be returned, between 1 and 100 - default is 10
      </td>
    </tr>

    <tr>
      <td>
        **starting\_after**\
        ID, optional
      </td>

      <td>
        object ID that defines your place in the list
      </td>
    </tr>

    <tr>
      <td>
        **ending\_before**\
        ID, optional
      </td>

      <td>
        object ID that defines your place in the list
      </td>
    </tr>
  </tbody>
</Table>

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th>
        Response Format
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        **object**
        string
      </td>

      <td>
        value is "list"
      </td>
    </tr>

    <tr>
      <td>
        **has\_more**\
        boolean
      </td>

      <td>
        Whether or not there are more elements available after this set. If `false`, this set includes the end of the list.
      </td>
    </tr>

    <tr>
      <td>
        **data**\
        array
      </td>

      <td>
        An array containing the actual requested resources, paginated by any request parameters
      </td>
    </tr>
  </tbody>
</Table>

```curl
curl https://api.shipup.co/v2/trackers \
  -H 'Content-Type: application/json' \
  -H "Authorization: Bearer ${PRIVATE_KEY}" \
  -d "limit"=25 \
  -d "starting_after"=900
```

```json Response
{
  "object": "list",
  "has_more": false,
  "data": [
    {
      "object": "tracker",
      "id": 903,
      // ...
    },
    {
      "object": "tracker",
      "id": 902,
      // ...
    },
    {
      "object": "tracker",
      "id": 901,
      // ...
    }
  ]
}
```